# Generated by go2rpm
%bcond_without check

# https://github.com/docker/licensing
%global goipath         github.com/docker/licensing
%global commit          5f0f1276fe42dd721c1c093604995a9f758ace21

%gometa

%global common_description %{expand:
Licensing is a library for interacting with Docker issued product licenses. It
facilitates user's authentication to the Docker Hub, provides a mechanism for
retrieving a user's existing docker-issued subscriptions/licenses, detects and
verifies locally stored licenses, and can be used to provision trial licenses
for Docker Enterprise Edition.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:        0.9%{?dist}
Summary:        Library for interacting with Docker issued product licenses

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/asaskevich/govalidator)
BuildRequires:  golang(github.com/dgrijalva/jwt-go)
BuildRequires:  golang(github.com/docker/docker/api/types)
BuildRequires:  golang(github.com/docker/docker/api/types/filters)
BuildRequires:  golang(github.com/docker/docker/api/types/swarm)
BuildRequires:  golang(github.com/docker/libtrust)
BuildRequires:  golang(github.com/google/uuid)
BuildRequires:  golang(github.com/stretchr/testify/mock)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/Jeffail/gabs)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
# lib/go-clientlib: needs network
%gocheck -d lib/errors -d lib/go-clientlib
%endif

%gopkgfiles

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jul 26 14:12:02 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.4.20200726git5f0f127
- Bump to commit 5f0f1276fe42dd721c1c093604995a9f758ace21

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon May 13 17:44:58 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.201900702git340365c
- Initial package
